Bug 159223 - [PATCH] net-mgmt/collectd: update to 5.0.0
Summary: [PATCH] net-mgmt/collectd: update to 5.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-27 08:10 UTC by linpct
Modified: 2011-09-07 03:40 UTC (History)
1 user (show)

See Also:


Attachments
collectd-5.0.0.patch (5.03 KB, patch)
2011-07-27 08:10 UTC, linpct
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description linpct 2011-07-27 08:10:06 UTC
- Update to 5.0.0

Port maintainer (ports@bsdserwis.com) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-07-27 08:10:16 UTC
Maintainer of net-mgmt/collectd,

Please note that PR ports/159223 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159223

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-07-27 08:10:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Krzysztof 2011-08-01 14:23:36 UTC
Hello,

On Wed, Jul 27, 2011 at 07:10:16AM +0000, Edwin Groothuis wrote:
> Maintainer of net-mgmt/collectd,
> 
> Please note that PR ports/159223 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159223
> 
I think it is good idea to make a new port net-mgmt/collectd5. According
to http://www.collectd.org/wiki/index.php/V4_to_v5_migration_guide there
is many differences between collectd4 (current ports version) and
collectd5.

I think there could be many production installations of collectd, so
this update could very problematic.

So my conclusion it to make a new port.

Greetings,
P.S. Sorry for late answer, but I was on vacations.
-- 
Krzysztof Stryjek
UNIX administrator/Juniper Networks Specialist
email: wtp (at) bsdserwis (dot) com
http://www.linkedin.com/in/KrzysztofStryjek
GPG fingerprint: 8BD7 40CE 8994 0BBE CE6C  91CD 1292 8959 DC61 0E76

In theory, there is no difference between theory and practice.
In practice, there is.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-08-02 00:25:38 UTC
State Changed
From-To: feedback->analyzed

Maintainer would prefer that instead it be a new port.
Comment 5 Ryan Steinmetz freebsd_committer freebsd_triage 2011-08-15 12:32:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Repocopy net-mgmt/collectd to net-mgmt/collectd5
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2011-09-01 20:30:02 UTC
State Changed
From-To: analyzed->repocopy

This appears to be a repocopy request that got mislabeled.
Comment 7 Joe Marcus Clarke freebsd_committer 2011-09-05 05:14:41 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 8 Joe Marcus Clarke freebsd_committer 2011-09-05 05:14:41 UTC
Responsible Changed
From-To: portmgr->zi

Repocopy complete.
Comment 9 dfilter service freebsd_committer 2011-09-07 03:23:54 UTC
zi          2011-09-07 02:23:41 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/collectd5   Makefile distinfo pkg-plist 
  Log:
  Repocopy from net-mgmt/collectd
  Update to 5.0.0
  
  PR:             ports/159223
  Submitted by:   Jin-Sih Lin <linpct@gmail.com>
  Approved by:    wxs, tabthorpe (mentors, implicit), maintainer
  
  Revision  Changes    Path
  1.32      +5 -4      ports/net-mgmt/collectd5/Makefile
  1.8       +2 -2      ports/net-mgmt/collectd5/distinfo
  1.12      +27 -52    ports/net-mgmt/collectd5/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Ryan Steinmetz freebsd_committer freebsd_triage 2011-09-07 03:23:59 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 11 dfilter service freebsd_committer 2011-09-07 03:30:21 UTC
zi          2011-09-07 02:29:59 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt             Makefile 
  Log:
  New port: net-mgmt/collectd5 (repocopy from net-mgmt/collectd)
  
  PR:             ports/159223
  Submitted by:   Jin-Sih Lin <linpct@gmail.com>
  Approved by:    wxs, tabthorpe (mentors, implicit), maintainer
  
  Revision  Changes    Path
  1.255     +1 -0      ports/net-mgmt/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"